
/* RSAMG_DUMMY resolves references to rsamg_<XXX> with ttyutil_<XXXX>.
   This replaces the network-based serial server protocol used around
   ArcMac with a straight tty interface.  The former is too bulky and
   arcane to attempt to export! 

To use: include it in the Makefile.  Set the local variable "device"
to be whatever serial device is desired.  Default is /dev/ttya.

Chris Schmandt
*/


static char device[16] = "/dev/ttya";

rsamg_open (service)
char *service;

{
  return (ttyutil_open (device));
}


rsamg_clear (fd)
int fd;
{
 return (ttyutil_clear (fd));
}


rsamg_nread (fd, buf, number, timeout)
int fd, number, timeout;
char *buf;
{
 return (ttyutil_nread (fd, buf, number, timeout));
}

rsamg_write (fd, buf, number, timeout)
int fd, number, timeout;
char *buf;
{
 return (ttyutil_write (fd, buf, number, timeout));
}



